# wstunnel with Nginx

[wstunnel](https://github.com/erebe/wstunnel) with nginx as reverse proxy.

Run server:

```
docker run -d \
    --name wstunnel \
    -p 8080:80 \
    -e SERVER_PORT=8080 \
    -e WS_PATH_PREFIX=md77sthqtq-o_ptobrd65n0ol56fk5bz \
    nxhs/wstunnel
```

Connect:

```
wstunnel --upgradePathPrefix md77sthqtq-o_ptobrd65n0ol56fk5bz -D 1080 ws://localhost:8080
```

Environment:

| Variable | Default | Description |
| --- | --- | --- |
| `SERVER_PORT` | Empty | Port what you want to publish |
| `SERVER_HOST` | localhost | Your server IP or domain name |
| `WS_PATH_PREFIX` | Random | Path prefix for websocket. Used as shared secret |

See `docker logs wstunnel` to view generated client connection command.
